<?php

class ContractListRequest extends SdkRequest {

    const REQUEST_URL = '/v2/contract/list';

    private $status;
    private $selectOffset;
    private $selectLimit;
    private $tenantName;
    private $createTimeOrder;
    private $categoryId;
    private $categoryName;
    private $publishTimeStart;
    private $publishTimeEnd;

    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('status',$this->status);
        $paramSwitcher->addParam('selectOffset',$this->selectOffset);
        $paramSwitcher->addParam('selectLimit',$this->selectLimit);
        $paramSwitcher->addParam('tenantName',$this->tenantName);
        $paramSwitcher->addParam('createTimeOrder',$this->createTimeOrder);
        $paramSwitcher->addParam('categoryId',$this->categoryId);
        $paramSwitcher->addParam('categoryName',$this->categoryName);
        $paramSwitcher->addParam('publishTimeStart',$this->publishTimeStart);
        $paramSwitcher->addParam('publishTimeEnd',$this->publishTimeEnd);

        $httpParameter = HttpParameter::httpGetParamer();
        $httpParameter->setParams($paramSwitcher->getParams());
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }/**
     * @param mixed $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }/**
     * @return mixed
     */
    public function getSelectOffset()
    {
        return $this->selectOffset;
    }/**
     * @param mixed $selectOffset
     */
    public function setSelectOffset($selectOffset)
    {
        $this->selectOffset = $selectOffset;
    }/**
     * @return mixed
     */
    public function getSelectLimit()
    {
        return $this->selectLimit;
    }/**
     * @param mixed $selectLimit
     */
    public function setSelectLimit($selectLimit)
    {
        $this->selectLimit = $selectLimit;
    }/**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }/**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }/**
     * @return mixed
     */
    public function getCreateTimeOrder()
    {
        return $this->createTimeOrder;
    }/**
     * @param mixed $createTimeOrder
     */
    public function setCreateTimeOrder($createTimeOrder)
    {
        $this->createTimeOrder = $createTimeOrder;
    }/**
     * @return mixed
     */
    public function getCategoryId()
    {
        return $this->categoryId;
    }/**
     * @param mixed $categoryId
     */
    public function setCategoryId($categoryId)
    {
        $this->categoryId = $categoryId;
    }/**
     * @return mixed
     */
    public function getCategoryName()
    {
        return $this->categoryName;
    }/**
     * @param mixed $categoryName
     */
    public function setCategoryName($categoryName)
    {
        $this->categoryName = $categoryName;
    }

    /**
     * @return mixed
     */
    public function getPublishTimeStart()
    {
        return $this->publishTimeStart;
    }

    /**
     * @param mixed $publishTimeStart
     */
    public function setPublishTimeStart($publishTimeStart)
    {
        $this->publishTimeStart = $publishTimeStart;
    }

    /**
     * @return mixed
     */
    public function getPublishTimeEnd()
    {
        return $this->publishTimeEnd;
    }

    /**
     * @param mixed $publishTimeEnd
     */
    public function setPublishTimeEnd($publishTimeEnd)
    {
        $this->publishTimeEnd = $publishTimeEnd;
    }

}