<?php

class ContractLpSignRequest extends SdkRequest {

    const LPSIGN_URL = "/v2/contract/legalpersonsign";

    private $contractId;
    private $bizId;
    private $tenantName;
    private $stampers;
    private $signParam;

    public function getUrl() {
        return self::LPSIGN_URL;
    }

    public function getHttpParamers() {
        if($this->signParam !== null){
            $httpParameters = HttpParameter::httpPostParamer();
            $httpParameters->setJsonParams(json_encode($this->signParam));
            return $httpParameters;
        }
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('contractId', $this->contractId);
        $paramSwitcher->addParam('bizId', $this->bizId);
        $paramSwitcher->addParam('tenantName', $this->tenantName);
        $paramSwitcher->addParam('stampers', $this->stampers);

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getContractId()
    {
        return $this->contractId;
    }

    /**
     * @param mixed $contractId
     */
    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    /**
     * @return mixed
     */
    public function getBizId()
    {
        return $this->bizId;
    }

    /**
     * @param mixed $bizId
     */
    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    /**
     * @return mixed
     */
    public function getStampers()
    {
        return $this->stampers;
    }

    /**
     * @param mixed $stampers
     */
    public function setStampers($stampers)
    {
        $this->stampers = $stampers;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getSignParam()
    {
        return $this->signParam;
    }

    /**
     * @param mixed $signParam
     */
    public function setSignParam($signParam)
    {
        $this->signParam = $signParam;
    }
}