<?php

class CustomerAddRequest extends SdkRequest {

    const COMPANY_DETAIL = "/v2/customer/add";  // 公司详情接口地址

    private $tenantType;
    private $companyName;                    // 公司名称
    private $user;
    private $alternateContact;



    public function getUrl() {
        return self::COMPANY_DETAIL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('tenantType', $this->tenantType);
        $paramSwitcher->addParam('companyName', $this->companyName);
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('alternateContact', $this->alternateContact);

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;

    }

    /**
     * @return mixed
     */
    public function getTenantType()
    {
        return $this->tenantType;
    }

    /**
     * @param mixed $tenantType
     */
    public function setTenantType($tenantType)
    {
        $this->tenantType = $tenantType;
    }

    /**
     * @return mixed
     */
    public function getCompanyName()
    {
        return $this->companyName;
    }

    /**
     * @param mixed $companyName
     */
    public function setCompanyName($companyName)
    {
        $this->companyName = $companyName;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getAlternateContact()
    {
        return $this->alternateContact;
    }

    /**
     * @param mixed $alternateContact
     */
    public function setAlternateContact($alternateContact)
    {
        $this->alternateContact = $alternateContact;
    }

}