<?php

class EmployeeRemoveRequest extends SdkRequest {

    const EMPLOYEE_REMOVE = "/v2/employee/remove";  // 员工移除接口地址

    private $user;
    private $tenantName;
    private $transferEmployee;

    public function getUrl() {
        return self::EMPLOYEE_REMOVE;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('name', $this->getUser()->getName());
        $paramSwitcher->addParam('contact', $this->getUser()->getContact());
        $paramSwitcher->addParam('contactType', $this->getUser()->getContactType());
        $paramSwitcher->addParam('tenantName', $this->tenantName);
        $paramSwitcher->addParam('transferEmployee', $this->transferEmployee);

        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }
    
    /**
     * @return mixed
     */
    public function getTransferEmployee()
    {
        return $this->transferEmployee;
    }
    
    /**
     * @param mixed $transferEmployee
     */
    public function setTransferEmployee($transferEmployee)
    {
        $this->transferEmployee = $transferEmployee;
    }

}