<?php

class InvalidByTemplateRequest extends SdkRequest {

    const INVALID_BY_TEMPLATE = "/v2/contract/invalidbytemplate";  // 自定义文件作废合同

    private $contractId;
    private $bizId;
    private $tenantName;
    private $title;
    private $deleteDoc;
    private $invalidReason;
    private $templateId;
    private $templateParams;
    private $stampers;

    public function getUrl() {
        return self::INVALID_BY_TEMPLATE;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('contractId', $this->contractId);
        $paramSwitcher->addParam('bizId', $this->bizId);
        $paramSwitcher->addParam('tenantName', $this->tenantName);
        $paramSwitcher->addParam('title', $this->title);
        $paramSwitcher->addParam('deleteDoc', $this->deleteDoc);
        $paramSwitcher->addParam('invalidReason', $this->invalidReason);
        $paramSwitcher->addParam('templateId', $this->templateId);
        $paramSwitcher->addParam('templateParams', $this->templateParams);
        $paramSwitcher->addParam('stampers', $this->stampers);

        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    public function getContractId()
    {
        return $this->contractId;
    }

    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    public function getBizId()
    {
        return $this->bizId;
    }

    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    public function getTenantName()
    {
        return $this->tenantName;
    }

    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    public function getTitle()
    {
        return $this->title;
    }

    public function setTitle($title)
    {
        $this->title = $title;
    }

    public function getDeleteDoc()
    {
        return $this->deleteDoc;
    }

    public function setDeleteDoc($deleteDoc)
    {
        $this->deleteDoc = $deleteDoc;
    }

    public function getInvalidReason()
    {
        return $this->invalidReason;
    }

    public function setInvalidReason($invalidReason)
    {
        $this->invalidReason = $invalidReason;
    }

    public function getTemplateId()
    {
        return $this->templateId;
    }

    public function setTemplateId($templateId)
    {
        $this->templateId = $templateId;
    }

    public function getTemplateParams()
    {
        return $this->templateParams;
    }

    public function setTemplateParams($templateParams)
    {
        $this->templateParams = $templateParams;
    }

    public function getStampers()
    {
        return $this->stampers;
    }

    public function setStampers($stampers)
    {
        $this->stampers = $stampers;
    }

}
