<?php

class SaasApplyAppRequest extends SdkRequest {

    const REQUEST_URL = "/saas/v2/company/applyapp";

    private $companyId;
	private $appName;
	private $domain;
	private $loginUrl;
	private $casVerifyUrl;
	private $callbackUrl;
	private $contractCallbackUrl;
	private $messageStrategy;
	private $contractMessageCallbackUrl;
	private $contractByPage;
	private $callbackForPage;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyId', $this->companyId);
        $paramSwitcher->addParam('appName', $this->appName);
        $paramSwitcher->addParam('domain', $this->domain);
        $paramSwitcher->addParam('loginUrl',$this->loginUrl);
        $paramSwitcher->addParam('casVerifyUrl',$this->casVerifyUrl);
        $paramSwitcher->addParam('callbackUrl',$this->callbackUrl);
        $paramSwitcher->addParam('contractCallbackUrl',$this->contractCallbackUrl);
        $paramSwitcher->addParam('messageStrategy',$this->messageStrategy);
        $paramSwitcher->addParam('contractMessageCallbackUrl',$this->contractMessageCallbackUrl);
        $paramSwitcher->addParam('contractByPage',$this->contractByPage);
        $paramSwitcher->addParam('callbackForPage',$this->callbackForPage);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getCompanyId()
    {
        return $this->companyId;
    }

    /**
    * @param mixed $companyId
     */
    public function setCompanyId($companyId)
    {
        $this->companyId = $companyId;
    }

    /**
     * @return mixed
     */
    public function getAppName()
    {
        return $this->appName;
    }

    /**
    * @param mixed $appName
     */
    public function setAppName($appName)
    {
        $this->appName = $appName;
    }

    /**
     * @return mixed
     */
    public function getDomain()
    {
        return $this->domain;
    }

    /**
    * @param mixed $domain
     */
    public function setDomain($domain)
    {
        $this->domain = $domain;
    }

    /**
     * @return mixed
     */
    public function getLoginUrl()
    {
        return $this->loginUrl;
    }

    /**
    * @param mixed $loginUrl
     */
    public function setLoginUrl($loginUrl)
    {
        $this->loginUrl = $loginUrl;
    }

    /**
     * @return mixed
     */
    public function getCasVerifyUrl()
    {
        return $this->casVerifyUrl;
    }

    /**
    * @param mixed $casVerifyUrl
     */
    public function setCasVerifyUrl($casVerifyUrl)
    {
        $this->casVerifyUrl = $casVerifyUrl;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
    * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }

    /**
     * @return mixed
     */
    public function getContractCallbackUrl()
    {
        return $this->contractCallbackUrl;
    }

    /**
    * @param mixed $contractCallbackUrl
     */
    public function setContractCallbackUrl($contractCallbackUrl)
    {
        $this->contractCallbackUrl = $contractCallbackUrl;
    }

    /**
     * @return mixed
     */
    public function getMessageStrategy()
    {
        return $this->messageStrategy;
    }

    /**
    * @param mixed $messageStrategy
     */
    public function setMessageStrategy($messageStrategy)
    {
        $this->messageStrategy = $messageStrategy;
    }

    /**
     * @return mixed
     */
    public function getContractMessageCallbackUrl()
    {
        return $this->contractMessageCallbackUrl;
    }

    /**
    * @param mixed $contractMessageCallbackUrl
     */
    public function setContractMessageCallbackUrl($contractMessageCallbackUrl)
    {
        $this->contractMessageCallbackUrl = $contractMessageCallbackUrl;
    }

    /**
     * @return mixed
     */
    public function getContractByPage()
    {
        return $this->contractByPage;
    }

    /**
    * @param mixed $contractByPage
     */
    public function setContractByPage($contractByPage)
    {
        $this->contractByPage = $contractByPage;
    }


    /**
     * @return mixed
     */
    public function getCallbackForPage()
    {
        return $this->callbackForPage;
    }

    /**
    * @param mixed $callbackForPage
     */
    public function setCallbackForPage($callbackForPage)
    {
        $this->callbackForPage = $callbackForPage;
    }





}