<?php

class TemplateListRequest extends SdkRequest {

    const REQUEST_URL = "/v2/template/list";  // 文件模板列表接口地址

    private $selectOffset;      // 查询起始位置，默认为0
    private $selectLimit;       // 查询列表大小，默认1000
    private $tenantName;        // 子公司名称，若传递了则查询子公司下的模板

    public function __construct() {
        $count = func_num_args();
        $args=func_get_args();
        if (method_exists($this,$f='__construct'.$count)) {
            call_user_func_array(array($this,$f),$args);
        }
    }

    public function __construct0() {
    }

    /**
     * SealListRequest constructor.
     * @param $selectOffset
     * @param $selectLimit/v2/template/pageurl
     */
    public function __construct2($selectOffset, $selectLimit) {
        $this->selectOffset = $selectOffset;
        $this->selectLimit = $selectLimit;
    }

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('selectOffset', $this->selectOffset);
        $paramSwitcher->addParam('selectLimit', $this->selectLimit);
        $paramSwitcher->addParam('tenantName', $this->tenantName);

        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;

    }

    /**
     * @return mixed
     */
    public function getSelectOffset()
    {
        return $this->selectOffset;
    }

    /**
     * @param mixed $selectOffset
     */
    public function setSelectOffset($selectOffset)
    {
        $this->selectOffset = $selectOffset;
    }

    /**
     * @return mixed
     */
    public function getSelectLimit()
    {
        return $this->selectLimit;
    }

    /**
     * @param mixed $selectLimit
     */
    public function setSelectLimit($selectLimit)
    {
        $this->selectLimit = $selectLimit;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

}